Package twisted :: Package lore :: Module man2lore

[show private | hide private]
[frames | no frames]

## Module twisted.lore.man2lore

man2lore: Converts man page source (i.e. groff) into lore-compatible html.

This is nasty and hackish (and doesn't support lots of real groff), but is good enough for converting fairly simple man pages.

Classes
`ManConverter` |
`ProcessingFunctionFactory` |

Function Summary
| `escape(text)`
| `stripQuotes(s)`

Variable Summary
`ProcessingFunctionFactory` | `factory`
`_Feature` | `nested_scopes`
`SRE_Pattern` | `quoteRE`

Variable Details

### factory

  Type:
    `ProcessingFunctionFactory`
  Value:

        <twisted.lore.man2lore.ProcessingFunctionFactory instance at 0x873e454\
        >

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

### quoteRE

  Type:
    `SRE_Pattern`
  Value:

        "(.*?)"

Generated by Epydoc 1.1 on Thu May 8 13:18:31 2003 | http://epydoc.sf.net